| Home | Libraries | People | FAQ | More

## Function template operator!

boost::algorithm::operator! — predicate negation operator

## Synopsis

    template<typename PredT>
      unspecified operator!(const predicate_facade< PredT > & Pred);

## Description

Construct the `class_not` predicate. This predicate represents a negation. `class_or` holds if of the predicates return false.

Parameters

Pred

  The predicate to be negated

Returns: An instance of the `class_not` predicate

| Copyright © 2002-2004 Pavol Droba